UNITS | CLASSES, INTERFACES, OBJECTS | TYPES | VARIABLES | CONSTANTS | FUNCTIONS, PROCEDURES | IDENTIFIERS

# Class TIBQuery

## Unit

Interbase

## Declaration

`type TIBQuery = class(TDBDataset)`

## Fields

None.

## Methods

### Overview

`constructor Create(AOwner : TComponent); override;`
`destructor Destroy; override;`
`function AllocRecordBuffer: PChar; override;`
`procedure ExecSQL; virtual;`
`procedure FreeRecordBuffer(var Buffer: PChar); override;`
`procedure GetBookmarkData(Buffer: PChar; Data: Pointer); override;`
`function GetBookmarkFlag(Buffer: PChar): TBookmarkFlag; override;`
`function GetFieldData(Field: TField; Buffer: Pointer): Boolean; override;`
`function GetRecord(Buffer: PChar; GetMode: TGetMode; DoCheck: Boolean): TGetResult; override;`
`function GetRecordCount: integer; override;`
`function GetRecordSize: Word; override;`
`procedure InternalAddRecord(Buffer: Pointer; AAppend: Boolean); override;`
`procedure InternalClose; override;`
`procedure InternalDelete; override;`
`procedure InternalFirst; override;`
`procedure InternalGotoBookmark(ABookmark: Pointer); override;`
`procedure InternalHandleException; override;`
`procedure InternalInitFieldDefs; override;`
`procedure InternalInitRecord(Buffer: PChar); override;`
`procedure InternalLast; override;`
`procedure InternalOpen; override;`
`procedure InternalPost; override;`
`procedure InternalSetToRecord(Buffer: PChar); override;`
`function IsCursorOpen: Boolean; override;`
`procedure SetBookmarkData(Buffer: PChar; Data: Pointer); override;`
`procedure SetBookmarkFlag(Buffer: PChar; Value: TBookmarkFlag); override;`
`procedure SetFieldData(Field: TField; Buffer: Pointer); override;`

### Description

`constructor Create(AOwner : TComponent); override;`

`destructor Destroy; override;`

`function AllocRecordBuffer: PChar; override;`

abstract & virual methods of TDataset

`procedure ExecSQL; virtual;`

This method is used for executing sql statements, which doesn't return any rows. (insert,delete,update, and DDL commands)

`procedure FreeRecordBuffer(var Buffer: PChar); override;`

`procedure GetBookmarkData(Buffer: PChar; Data: Pointer); override;`

`function GetBookmarkFlag(Buffer: PChar): TBookmarkFlag; override;`

`function GetFieldData(Field: TField; Buffer: Pointer): Boolean; override;`

`function GetRecord(Buffer: PChar; GetMode: TGetMode; DoCheck: Boolean): TGetResult; override;`

`function GetRecordCount: integer; override;`

`function GetRecordSize: Word; override;`

`procedure InternalAddRecord(Buffer: Pointer; AAppend: Boolean); override;`

`procedure InternalClose; override;`

`procedure InternalDelete; override;`

`procedure InternalFirst; override;`

`procedure InternalGotoBookmark(ABookmark: Pointer); override;`

`procedure InternalHandleException; override;`

`procedure InternalInitFieldDefs; override;`

`procedure InternalInitRecord(Buffer: PChar); override;`

`procedure InternalLast; override;`

`procedure InternalOpen; override;`

`procedure InternalPost; override;`

`procedure InternalSetToRecord(Buffer: PChar); override;`

`function IsCursorOpen: Boolean; override;`

`procedure SetBookmarkData(Buffer: PChar; Data: Pointer); override;`

`procedure SetBookmarkFlag(Buffer: PChar; Value: TBookmarkFlag); override;`

`procedure SetFieldData(Field: TField; Buffer: Pointer); override;`

## Properties

### Overview

`Database:`

`SQL:`

`Transaction:`

### Description

`Database:`

Use this property to determine, which database session can query use

`SQL:`

This property holds SQL command, which you want to execute

`Transaction:`

Query must have transaction assigned. If transaction is not assigned, and database is, object looks, if database have default transaction, and assigns it

Generated by pasdoc 0.6.17 on Fri 3 Nov 2000 09:02:48